stages:
  - dockerize

dockerize:
  stage: dockerize
  image: docker:stable
  tags:
    - docker
  services:
    - docker:dind
  variables:
    DOCKER_HOST: tcp://docker:2375/
    DOCKER_DRIVER: overlay2
    DOCKER_IMAGE_NAME: eu.gcr.io/cloudrun/abb-api
  before_script:
    - cat $GCP_KEY | docker login -u _json_key --password-stdin https://eu.gcr.io
    - docker info
  script:
    - docker build --tag $DOCKER_IMAGE_NAME:$CI_COMMIT_SHORT_SHA .
    - docker push $DOCKER_IMAGE_NAME:$CI_COMMIT_SHORT_SHA